module gdk_pixbuf_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libgdkpixbuf
const libgdkpixbuf_path = "/usr/lib/libgdk_pixbuf-2.0.so.0"
libgdkpixbuf_handle = C_NULL
const libgdkpixbuf = "libgdk_pixbuf-2.0.so.0"
export gdk_pixbuf_query_loaders
const gdk_pixbuf_query_loaders_path = "/usr/bin/gdk-pixbuf-query-loaders"
gdk_pixbuf_query_loaders(f::Function; kw...) = f(gdk_pixbuf_query_loaders_path)
gdk_pixbuf_query_loaders(; kw...) = Cmd([gdk_pixbuf_query_loaders_path])
export gdk_pixbuf_loaders_dir
const gdk_pixbuf_loaders_dir_path = "/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders"
const gdk_pixbuf_loaders_dir = gdk_pixbuf_loaders_dir_path
get_gdk_pixbuf_loaders_dir() = gdk_pixbuf_loaders_dir_path
function __init__()
    global libgdkpixbuf_handle = dlopen(libgdkpixbuf_path)
end
end
